diff -urN oo_1.0.1_src.orig/config_office/set_soenv.in oo_1.0.1_src/config_office/set_soenv.in
--- oo_1.0.1_src.orig/cvs/config_office/set_soenv.in	2003-01-07 09:08:04.000000000 +0100
+++ oo_1.0.1_src/config_office/set_soenv.in	2003-01-09 19:49:40.000000000 +0100
@@ -52,8 +52,8 @@
 #-------------------------------------------------
 #
 # Platform independent constant values.
-my @LANGUAGES = ("ARAB", "CHINSIM", "CHINTRAD", "DAN", "DTCH", "ENUS", "FREN", "GREEK", "ITAL",
-"JAPN", "KOREAN", "POL", "PORT", "RUSS", "SPAN", "SWED", "TURK" ); 
+my @LANGUAGES = ("ARAB", "CHINSIM", "CHINTRAD", "CZECH", "DAN", "DTCH", "ENUS", "FREN", "GREEK", "ITAL",
+"JAPN", "KOREAN", "POL", "PORT", "RUSS", "SLOVAK", "SPAN", "SWED", "TURK" ); 
 my ( $CALL_CDECL, $COMMON_OUTDIR, $NO_SRS_PATCH, $PRODUCT, $PROFULLSWITCH, $BIG_GOODIES, $BMP_WRITES_FLAG, 
      $common_build, $MK_UNROLL, $NO_REC_RES, $PROEXT, $SO3, $SOLAR_JAVA, 
      $SOLAR_PLUGIN, $TF_PACKAGES, $TF_SDBAPI, $TF_FILEURL, $UPDATER, $BUILD_DELIVER, $USE_NEWCHARSET, $USE_NEW_RSC, $VCL, 
diff -urN oo_1.0.1_src.orig/offmgr/source/offapp/app/app.src oo_1.0.1_src/offmgr/source/offapp/app/app.src
--- oo_1.0.1_src.orig/offmgr/source/offapp/app/app.src	Mon Sep 23 21:57:05 2002
+++ oo_1.0.1_src/offmgr/source/offapp/app/app.src	Mon Sep 23 21:58:56 2002
@@ -929,6 +929,8 @@
 		File [ chinese_traditional ] = "sc_out88.bmp";
 		File [ korean ] = "sc_out82.bmp";
 		File [ arabic ] = "sc_out96.bmp";
+		File [ czech ] = "sc_out42.bmp";
+		File [ slovak ] = "sc_out43.bmp";
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	IMAGE_ID_LIST
@@ -958,6 +960,8 @@
 		File [ chinese_traditional ] = "lc_out88.bmp";
 		File [ korean ] = "lc_out82.bmp";
 		File [ arabic ] = "lc_out96.bmp";
+		File [ czech ] = "lc_out42.bmp";
+		File [ slovak ] = "lc_out43.bmp";
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	IMAGE_ID_LIST
@@ -987,6 +991,8 @@
 		File [ chinese_traditional ] = "sc_off88.bmp";
 		File [ korean ] = "sc_off82.bmp";
 		File [ arabic ] = "sc_off96.bmp";
+		File [ czech ] = "sc_off42.bmp";
+		File [ slovak ] = "sc_off43.bmp";
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	OFFICE_ID_LIST
@@ -1016,6 +1022,8 @@
 		File [ chinese_traditional ] = "lc_off88.bmp";
 		File [ korean ] = "lc_off82.bmp";
 		File [ arabic ] = "lc_off96.bmp";
+		File [ czech ] = "lc_off42.bmp";
+		File [ slovak ] = "lc_off43.bmp";
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	OFFICE_ID_LIST
diff -urN oo_1.0.1_src.orig/sc/source/ui/src/toolbox.src oo_1.0.1_src/sc/source/ui/src/toolbox.src
--- oo_1.0.1_src.orig/sc/source/ui/src/toolbox.src	Mon Sep 23 21:53:02 2002
+++ oo_1.0.1_src/sc/source/ui/src/toolbox.src	Mon Sep 23 21:58:56 2002
@@ -1713,6 +1713,8 @@
 		File [ chinese_traditional ] = "sc_out88.bmp" ;
 		File [ japanese ] = "sc_out81.bmp" ;
 		File [ korean ] = "sc_out82.bmp" ;
+		File [ czech ] = "sc_out42.bmp" ;
+		File [ slovak ] = "sc_out43.bmp" ;
 	};
 	MaskColor = STD_MASKCOLOR ;
 	DEFAULT_IDLIST
@@ -1741,6 +1743,8 @@
 		File [ chinese_traditional ] = "lc_out88.bmp" ;
 		File [ japanese ] = "lc_out81.bmp" ;
 		File [ korean ] = "lc_out82.bmp" ;
+		File [ czech ] = "lc_out42.bmp" ;
+		File [ slovak ] = "lc_out43.bmp" ;
 	};
 	MaskColor = STD_MASKCOLOR ;
 	DEFAULT_IDLIST
diff -urN oo_1.0.1_src.orig/scp/inc/gcfg.inc oo_1.0.1_src/scp/inc/gcfg.inc
--- oo_1.0.1_src.orig/scp/inc/gcfg.inc	Mon Sep 23 21:53:28 2002
+++ oo_1.0.1_src/scp/inc/gcfg.inc	Mon Sep 23 21:58:56 2002
@@ -312,6 +312,8 @@
     ident (35)      = resid; \
     ident (37)      = resid; \
 	ident (39) 		= resid; \
+	ident (42) 		= resid; \
+	ident (43) 		= resid; \
 	ident (45) 		= resid; \
 	ident (46) 		= resid; \
 	ident (48) 		= resid; \
@@ -335,6 +337,8 @@
     Name (35)       = RESFILENAME(name,35);     \
     Name (37)       = RESFILENAME(name,37);     \
 	Name (39) 		= RESFILENAME(name,39);		\
+	Name (42) 		= RESFILENAME(name,42);		\
+	Name (43) 		= RESFILENAME(name,43);		\
 	Name (45) 		= RESFILENAME(name,45);		\
 	Name (46) 		= RESFILENAME(name,46);		\
 	Name (48) 		= RESFILENAME(name,48);		\
@@ -358,6 +362,8 @@
     Name (35)       = EXTRAFILENAME(name,35);     \
     Name (37)       = EXTRAFILENAME(name,37);     \
     Name (39)       = EXTRAFILENAME(name,39);     \
+    Name (42)       = EXTRAFILENAME(name,42);     \
+    Name (43)       = EXTRAFILENAME(name,43);     \
     Name (45)       = EXTRAFILENAME(name,45);     \
     Name (46)       = EXTRAFILENAME(name,46);     \
     Name (48)       = EXTRAFILENAME(name,48);     \
@@ -381,6 +387,8 @@
     Name (35)       = STRING(name);     \
     Name (37)       = STRING(name);     \
     Name (39)       = STRING(name);     \
+    Name (42)       = STRING(name);     \
+    Name (43)       = STRING(name);     \
     Name (45)       = STRING(name);     \
     Name (46)       = STRING(name);     \
     Name (48)       = STRING(name);     \
@@ -404,6 +412,8 @@
     Name (35)       = HELPFILENAME(name,35);     \
     Name (37)       = HELPFILENAME(name,37);     \
     Name (39)       = HELPFILENAME(name,39);     \
+    Name (42)       = HELPFILENAME(name,42);     \
+    Name (43)       = HELPFILENAME(name,43);     \
     Name (45)       = HELPFILENAME(name,45);     \
     Name (46)       = HELPFILENAME(name,46);     \
     Name (48)       = HELPFILENAME(name,48);     \
@@ -427,6 +437,8 @@
     Name (35)       = HELPFILENAME(name,35x);     \
     Name (37)       = HELPFILENAME(name,37x);     \
     Name (39)       = HELPFILENAME(name,39x);     \
+    Name (42)       = HELPFILENAME(name,42x);     \
+    Name (43)       = HELPFILENAME(name,43x);     \
     Name (45)       = HELPFILENAME(name,45x);     \
     Name (46)       = HELPFILENAME(name,46x);     \
     Name (48)       = HELPFILENAME(name,48x);     \
@@ -450,6 +462,8 @@
     Name (35)       = HELPFILENAME(name,endung);     \
     Name (37)       = HELPFILENAME(name,endung);     \
     Name (39)       = HELPFILENAME(name,endung);     \
+    Name (42)       = HELPFILENAME(name,endung);     \
+    Name (43)       = HELPFILENAME(name,endung);     \
     Name (45)       = HELPFILENAME(name,endung);     \
     Name (46)       = HELPFILENAME(name,endung);     \
     Name (48)       = HELPFILENAME(name,endung);     \
@@ -473,6 +487,8 @@
     Dir (35)       = GID_DIR_HELP_35;     \
     Dir (37)       = GID_DIR_HELP_37;     \
     Dir (39)       = GID_DIR_HELP_39;     \
+    Dir (42)       = GID_DIR_HELP_42;     \
+    Dir (43)       = GID_DIR_HELP_43;     \
     Dir (45)       = GID_DIR_HELP_45;     \
     Dir (46)       = GID_DIR_HELP_46;     \
     Dir (48)       = GID_DIR_HELP_48;     \
@@ -496,6 +512,8 @@
     DosName (35)       = STRING(name);     \
     DosName (37)       = STRING(name);     \
     DosName (39)       = STRING(name);     \
+    DosName (42)       = STRING(name);     \
+    DosName (43)       = STRING(name);     \
     DosName (45)       = STRING(name);     \
     DosName (46)       = STRING(name);     \
     DosName (48)       = STRING(name);     \
@@ -519,6 +537,8 @@
     DosName (35)       = "finnish";     \
     DosName (37)       = "catalan";     \
     DosName (39)       = "italian";     \
+    DosName (42)       = "czech";	\
+    DosName (43)       = "slovak";	\
     DosName (45)       = "danish";      \
     DosName (46)       = "swedish";     \
     DosName (48)       = "polish";      \
@@ -542,6 +562,8 @@
     DosName (35)       = "fi";  \
     DosName (37)       = "ca";  \
     DosName (39)       = "it";  \
+    DosName (42)       = "cs";  \
+    DosName (43)       = "sk";  \
     DosName (45)       = "da";  \
     DosName (46)       = "sv";  \
     DosName (48)       = "pl";  \
@@ -565,6 +587,8 @@
         Section (35)              = STRING(ident##-35); \
         Section (37)              = STRING(ident##-37); \
         Section (39)              = STRING(ident##-39); \
+        Section (42)              = STRING(ident##-42); \
+        Section (43)              = STRING(ident##-43); \
         Section (45)              = STRING(ident##-45); \
         Section (46)              = STRING(ident##-46); \
         Section (48)              = STRING(ident##-48); \
@@ -590,6 +614,8 @@
         Key (33)              = STRING(ident##-33); \
         Key (34)              = STRING(ident##-34); \
         Key (39)              = STRING(ident##-39); \
+        Key (42)              = STRING(ident##-42); \
+        Key (43)              = STRING(ident##-43); \
         Key (45)              = STRING(ident##-45); \
         Key (46)              = STRING(ident##-46); \
         Key (48)              = STRING(ident##-48); \
@@ -633,6 +659,8 @@
         Key (35)              = STRING(1035); \
         Key (37)              = STRING(1037); \
         Key (39)              = STRING(1040); \
+        Key (42)              = STRING(1029); \
+        Key (43)              = STRING(1051); \
         Key (45)              = STRING(1030); \
         Key (46)              = STRING(1053); \
         Key (48)              = STRING(1045); \
@@ -656,6 +684,8 @@
         Key (35)              = STRING(fi); \
         Key (37)              = STRING(ca); \
         Key (39)              = STRING(it); \
+        Key (42)              = STRING(cs); \
+        Key (43)              = STRING(sk); \
         Key (45)              = STRING(da); \
         Key (46)              = STRING(sv); \
         Key (48)              = STRING(pl); \
@@ -679,6 +709,8 @@
         Value (35)              = STRING(1035); \
         Value (37)              = STRING(1037); \
         Value (39)              = STRING(1040); \
+        Value (42)              = STRING(1029); \
+        Value (43)              = STRING(1051); \
         Value (45)              = STRING(1030); \
         Value (46)              = STRING(1053); \
         Value (48)              = STRING(1045); \
@@ -702,6 +734,8 @@
         Value (35)              = STRING(fi); \
         Value (37)              = STRING(ca); \
         Value (39)              = STRING(it); \
+        Value (42)              = STRING(cs); \
+        Value (43)              = STRING(sk); \
         Value (45)              = STRING(da); \
         Value (46)              = STRING(sv); \
         Value (48)              = STRING(pl); \
@@ -725,6 +759,8 @@
         Value (35)              = STRING(fi); \
         Value (37)              = STRING(ca); \
         Value (39)              = STRING(it); \
+        Value (42)              = STRING(cs); \
+        Value (43)              = STRING(sk); \
         Value (45)              = STRING(da); \
         Value (46)              = STRING(sv); \
         Value (48)              = STRING(pl); \
@@ -744,6 +780,8 @@
         Value (35)              = STRING(fi); \
         Value (37)              = STRING(ca); \
         Value (39)              = STRING(it); \
+        Value (42)              = STRING(cs); \
+        Value (43)              = STRING(sk); \
         Value (45)              = STRING(da); \
         Value (46)              = STRING(sv); \
         Value (48)              = STRING(pl); \
@@ -767,6 +805,8 @@
         Value (35)              = STRING(35); \
         Value (37)              = STRING(37); \
         Value (39)              = STRING(39); \
+        Value (42)              = STRING(42); \
+        Value (43)              = STRING(43); \
         Value (45)              = STRING(45); \
         Value (46)              = STRING(46); \
         Value (48)              = STRING(48); \
diff -urN oo_1.0.1_src.orig/scp/inc/gid.inc oo_1.0.1_src/scp/inc/gid.inc
--- oo_1.0.1_src.orig/scp/inc/gid.inc	Mon Sep 23 21:53:28 2002
+++ oo_1.0.1_src/scp/inc/gid.inc	Mon Sep 23 21:58:56 2002
@@ -310,6 +310,8 @@
 #define GID_DIR_HELP_35                             gid_Dir_Help_35
 #define GID_DIR_HELP_37                             gid_Dir_Help_37
 #define GID_DIR_HELP_39								gid_Dir_Help_39
+#define GID_DIR_HELP_42                             gid_Dir_Help_42
+#define GID_DIR_HELP_43                             gid_Dir_Help_43
 #define GID_DIR_HELP_45                             gid_Dir_Help_45
 #define GID_DIR_HELP_46								gid_Dir_Help_46
 #define GID_DIR_HELP_48								gid_Dir_Help_48
diff -urN oo_1.0.1_src.orig/scp/source/fonts/files_fonts.scp oo_1.0.1_src/scp/source/fonts/files_fonts.scp
--- oo_1.0.1_src.orig/scp/source/fonts/files_fonts.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/fonts/files_fonts.scp	Mon Sep 23 21:58:56 2002
@@ -394,6 +394,8 @@
     Name (33)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
     Name (34)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
     Name (39)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
+    Name (42)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
+    Name (43)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
     Name (45)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
     Name (46)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
     Name (48)       = FONTWINFILENAME(/font_ui_wgl/soui.ttf);
@@ -632,6 +634,8 @@
     Name (33)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
     Name (34)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
     Name (39)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
+    Name (42)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
+    Name (43)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
     Name (45)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
     Name (46)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
     Name (48)       = FONTUNXFILENAME(/font_ui_wgl/soui.ttf);
diff -urN oo_1.0.1_src.orig/scp/source/office/basic.scp oo_1.0.1_src/scp/source/office/basic.scp
--- oo_1.0.1_src.orig/scp/source/office/basic.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/office/basic.scp	Mon Sep 23 21:58:56 2002
@@ -78,6 +78,10 @@
                 SiMsgBox(STR_BASIC_ADABASINST1#37 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#37)
 	       	Case 39
                 SiMsgBox(STR_BASIC_ADABASINST1#39 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#39)
+	        Case 42
+                SiMsgBox(STR_BASIC_ADABASINST1#42 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#42)
+	        Case 43
+                SiMsgBox(STR_BASIC_ADABASINST1#43 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#43)
 	        Case 45
                 SiMsgBox(STR_BASIC_ADABASINST1#45 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#45)
 	        Case 46
@@ -138,6 +142,10 @@
                             SiMsgBox(STR_BASIC_ADABASPFAD#37)
                         Case 39
                             SiMsgBox(STR_BASIC_ADABASPFAD#39)
+                        Case 42
+                            SiMsgBox(STR_BASIC_ADABASPFAD#42)
+                        Case 43
+                            SiMsgBox(STR_BASIC_ADABASPFAD#43)
                         Case 45
                             SiMsgBox(STR_BASIC_ADABASPFAD#45)
                         Case 46
@@ -339,6 +347,8 @@
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Italy", True)
                 Case 42
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Czech", True)
+                Case 43
+                        SetDefaultModuleByID ("gid_Module_Optional_Language_Slovak", True)
                 Case 44
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Engb", True)
                 Case 45
@@ -460,7 +470,7 @@
     dim isoresource as String
     dim newisoresource as String
 
-    countrynumber = 19
+    countrynumber = 21
 
     dim countrystrings(countrynumber) as String
 
@@ -473,17 +483,19 @@
     countrystrings(6) = "35"
     countrystrings(7) = "37"
     countrystrings(8) = "39"
-    countrystrings(9) = "45"
-    countrystrings(10) = "46"
-    countrystrings(11) = "48"
-    countrystrings(12) = "49"
-    countrystrings(13) = "81"
-    countrystrings(14) = "82"
-    countrystrings(15) = "86"
-    countrystrings(16) = "88"
-    countrystrings(17) = "90"
-    countrystrings(18) = "96"
-    countrystrings(19) = "99"
+    countrystrings(9) = "42"
+    countrystrings(10) = "43"
+    countrystrings(11) = "45"
+    countrystrings(12) = "46"
+    countrystrings(13) = "48"
+    countrystrings(14) = "49"
+    countrystrings(15) = "81"
+    countrystrings(16) = "82"
+    countrystrings(17) = "86"
+    countrystrings(18) = "88"
+    countrystrings(19) = "90"
+    countrystrings(20) = "96"
+    countrystrings(21) = "99"
 
     resourcePath = DirEntry( GetSetupEnv.DestPath, "program", "resource" )
 	intVclNr = GetMajor()
diff -urN oo_1.0.1_src.orig/scp/source/office/dir.scp oo_1.0.1_src/scp/source/office/dir.scp
--- oo_1.0.1_src.orig/scp/source/office/dir.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/office/dir.scp	Mon Sep 23 21:58:57 2002
@@ -867,6 +867,16 @@
     DosName         = "39";
 End
 
+Directory GID_DIR_HELP_42
+	ParentID		= GID_DIR_HELP;
+    DosName         = "42";
+End
+
+Directory GID_DIR_HELP_43
+	ParentID		= GID_DIR_HELP;
+    DosName         = "43";
+End
+
 Directory GID_DIR_HELP_45
 	ParentID 		= GID_DIR_HELP;
     DosName         = "45";
diff -urN oo_1.0.1_src.orig/scp/source/office/files.scp oo_1.0.1_src/scp/source/office/files.scp
--- oo_1.0.1_src.orig/scp/source/office/files.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/office/files.scp	Mon Sep 23 21:58:57 2002
@@ -2124,6 +2124,8 @@
         Name (35)       = "samchapters35.zip";
         Name (37)       = "samchapters37.zip";
         Name (39)       = "samchapters39.zip";
+        Name (42)       = "samchapters42.zip";
+        Name (43)       = "samchapters43.zip";
         Name (45)       = "samchapters45.zip";
         Name (46)       = "samchapters46.zip";
         Name (48)       = "samchapters48.zip";
diff -urN oo_1.0.1_src.orig/scp/source/office/profile.scp oo_1.0.1_src/scp/source/office/profile.scp
--- oo_1.0.1_src.orig/scp/source/office/profile.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/office/profile.scp	Mon Sep 23 21:58:57 2002
@@ -2454,6 +2454,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2480,6 +2482,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2506,6 +2510,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2532,6 +2538,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2558,6 +2566,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2584,6 +2594,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2610,6 +2622,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2636,6 +2650,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
@@ -2662,6 +2678,8 @@
     Value (33)  = "FALSE";
     Value (34)  = "FALSE";
     Value (39)  = "FALSE";
+    Value (42)  = "FALSE";
+    Value (43)  = "FALSE";
     Value (45)  = "FALSE";
     Value (46)  = "FALSE";
     Value (48)  = "FALSE";
diff -urN oo_1.0.1_src.orig/scp/source/office/unxbasic.scp oo_1.0.1_src/scp/source/office/unxbasic.scp
--- oo_1.0.1_src.orig/scp/source/office/unxbasic.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/office/unxbasic.scp	Mon Sep 23 21:58:57 2002
@@ -79,6 +79,10 @@
                 SiMsgBox(STR_BASIC_ADABASINST1#37 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#37)
 	       	Case 39
                 SiMsgBox(STR_BASIC_ADABASINST1#39 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#39)
+	        Case 42
+                SiMsgBox(STR_BASIC_ADABASINST1#42 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#42)
+	        Case 43
+                SiMsgBox(STR_BASIC_ADABASINST1#43 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#43)
 	        Case 45
                 SiMsgBox(STR_BASIC_ADABASINST1#45 & Environ("DBROOT") & chr(13) & STR_BASIC_ADABASINST2#45)
 	        Case 46
@@ -134,6 +138,10 @@
                             SiMsgBox(STR_BASIC_ADABASPFAD#34)
                         Case 39
                             SiMsgBox(STR_BASIC_ADABASPFAD#39)
+                        Case 42
+                            SiMsgBox(STR_BASIC_ADABASPFAD#42)
+                        Case 43
+                            SiMsgBox(STR_BASIC_ADABASPFAD#43)
                         Case 45
                             SiMsgBox(STR_BASIC_ADABASPFAD#45)
                         Case 46
@@ -338,6 +346,8 @@
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Italy", True)
                 Case 42
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Czech", True)
+                Case 43
+                        SetDefaultModuleByID ("gid_Module_Optional_Language_Slovak", True)
                 Case 44
                         SetDefaultModuleByID ("gid_Module_Optional_Language_Engb", True)
                 Case 45
@@ -446,7 +456,7 @@
     dim isoresource as String
     dim newisoresource as String
 
-    countrynumber = 19
+    countrynumber = 21
 
     dim countrystrings(countrynumber) as String
 
@@ -459,17 +469,19 @@
     countrystrings(6) = "35"
     countrystrings(7) = "37"
     countrystrings(8) = "39"
-    countrystrings(9) = "45"
-    countrystrings(10) = "46"
-    countrystrings(11) = "48"
-    countrystrings(12) = "49"
-    countrystrings(13) = "81"
-    countrystrings(14) = "82"
-    countrystrings(15) = "86"
-    countrystrings(16) = "88"
-    countrystrings(17) = "90"
-    countrystrings(18) = "96"
-    countrystrings(19) = "99"
+    countrystrings(9) = "42"
+    countrystrings(10) = "43"
+    countrystrings(11) = "45"
+    countrystrings(12) = "46"
+    countrystrings(13) = "48"
+    countrystrings(14) = "49"
+    countrystrings(15) = "81"
+    countrystrings(16) = "82"
+    countrystrings(17) = "86"
+    countrystrings(18) = "88"
+    countrystrings(19) = "90"
+    countrystrings(20) = "96"
+    countrystrings(21) = "99"
 
     resourcePath = DirEntry( GetSetupEnv.DestPath, "program", "resource" )
 	intVclNr = GetMajor()
diff -urN oo_1.0.1_src.orig/scp/source/oocde/unxbasic_cde.scp oo_1.0.1_src/scp/source/oocde/unxbasic_cde.scp
--- oo_1.0.1_src.orig/scp/source/oocde/unxbasic_cde.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/oocde/unxbasic_cde.scp	Mon Sep 23 21:58:57 2002
@@ -49,6 +49,10 @@
              language_parameter = "es"
          Case 39
              language_parameter = "it"
+         Case 42
+             language_parameter = "cs"
+         Case 43
+             language_parameter = "sk"
          Case 45
              language_parameter = "da"
          Case 46
@@ -154,6 +158,10 @@
                     SiMsgBox (STR_BASIC_CDEINT_NETWORK#37)
                 Case 39
                     SiMsgBox (STR_BASIC_CDEINT_NETWORK#39)
+                Case 42
+                    SiMsgBox (STR_BASIC_CDEINT_NETWORK#42)
+                Case 43
+                    SiMsgBox (STR_BASIC_CDEINT_NETWORK#43)
                 Case 45
                     SiMsgBox (STR_BASIC_CDEINT_NETWORK#45)
                 Case 46
@@ -329,6 +337,10 @@
                    language_parameter = "es"
                Case 39
                    language_parameter = "it"
+               Case 42
+                   language_parameter = "cs"
+               Case 43
+                   language_parameter = "sk"
                Case 45
                    language_parameter = "da"
                Case 46
@@ -419,6 +431,10 @@
                         SiMsgBox (STR_BASIC_CDEINT#37)
                     Case 39
                         SiMsgBox (STR_BASIC_CDEINT#39)
+                    Case 42
+                        SiMsgBox (STR_BASIC_CDEINT#42)
+                    Case 43
+                        SiMsgBox (STR_BASIC_CDEINT#43)
                     Case 45
                         SiMsgBox (STR_BASIC_CDEINT#45)
                     Case 46
diff -urN oo_1.0.1_src.orig/scp/source/player/player.scp oo_1.0.1_src/scp/source/player/player.scp
--- oo_1.0.1_src.orig/scp/source/player/player.scp	Mon Sep 23 21:53:30 2002
+++ oo_1.0.1_src/scp/source/player/player.scp	Mon Sep 23 21:58:57 2002
@@ -1358,7 +1358,7 @@
     dim zieldatei as String
     dim isoresource as String
 
-    countrynumber = 13
+    countrynumber = 15
 
     dim countrystrings(countrynumber) as String
 
@@ -1369,13 +1369,15 @@
     countrystrings(4) = "33"
     countrystrings(5) = "34"
     countrystrings(6) = "39"
-    countrystrings(7) = "45"
-    countrystrings(8) = "46"
-    countrystrings(9) = "48"
-    countrystrings(10) = "49"
-    countrystrings(11) = "81"
-    countrystrings(12) = "86"
-    countrystrings(13) = "88"
+    countrystrings(7) = "42"
+    countrystrings(8) = "43"
+    countrystrings(9) = "45"
+    countrystrings(10) = "46"
+    countrystrings(11) = "48"
+    countrystrings(12) = "49"
+    countrystrings(13) = "81"
+    countrystrings(14) = "86"
+    countrystrings(15) = "88"
 
     resourcePath = DirEntry( GetSetupEnv.DestPath, "program" )
 	intVclNr = GetMajor()
@@ -1436,6 +1438,10 @@
                      language_parameter = "es"
                 Case 39
                      language_parameter = "it"
+                Case 42
+                     language_parameter = "cs"
+                Case 43
+                     language_parameter = "sk"
                 Case 45
                      language_parameter = "da"
                 Case 46
@@ -1597,6 +1603,8 @@
         Value (35)              = STRING(1035); \
         Value (37)              = STRING(1037); \
         Value (39)              = STRING(1040); \
+        Value (42)              = STRING(1029); \
+        Value (43)              = STRING(1051); \
         Value (45)              = STRING(1030); \
         Value (46)              = STRING(1053); \
         Value (48)              = STRING(1045); \
@@ -1634,6 +1642,10 @@
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1034DIALOGSCALEX,"1034DialogScaleX","10");
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1040AUTOMNEMONIC,"1040AutoMnemonic","1");
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1040DIALOGSCALEX,"1040DialogScaleX","10");
+INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1029AUTOMNEMONIC,"1029AutoMnemonic","1");
+INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1029DIALOGSCALEX,"1029DialogScaleX","13");
+INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1051AUTOMNEMONIC,"1051AutoMnemonic","1");
+INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1051DIALOGSCALEX,"1051DialogScaleX","13");
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1053AUTOMNEMONIC,"1053AutoMnemonic","1");
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1053DIALOGSCALEX,"1053DialogScaleX","10");
 INTERNATIONAL_PROFILEITEM(GID_PROFILEITEM_INTERNATIONAL_1045AUTOMNEMONIC,"1045AutoMnemonic","1");
diff -urN oo_1.0.1_src.orig/sd/source/ui/app/app.src oo_1.0.1_src/sd/source/ui/app/app.src
--- oo_1.0.1_src.orig/sd/source/ui/app/app.src	Mon Sep 23 21:53:07 2002
+++ oo_1.0.1_src/sd/source/ui/app/app.src	Mon Sep 23 21:58:57 2002
@@ -425,6 +425,8 @@
 		File[ chinese_traditional ] = "sc_out88.bmp" ;
 		File[ japanese ] = "sc_out81.bmp" ;
 		File[ korean ] = "sc_out82.bmp" ;
+		File[ czech ] = "sc_out42.bmp";
+		File[ slovak ] = "sc_out43.bmp";
 
     };
     MaskColor = IMAGE_MASK_STDCOLOR ;
@@ -455,6 +457,8 @@
 		File[ chinese_traditional ] = "lc_out88.bmp" ;
 		File[ japanese ] = "lc_out81.bmp" ;
 		File[ korean ] = "lc_out82.bmp" ;
+		File[ czech ] = "lc_out42.bmp";
+		File[ slovak ] = "lc_out43.bmp";
     };
     MaskColor = IMAGE_MASK_STDCOLOR;
     IMAGE_ID_LIST
diff -urN oo_1.0.1_src.orig/setup2/source/custom/tplsetup/tplsetup.cxx oo_1.0.1_src/setup2/source/custom/tplsetup/tplsetup.cxx
--- oo_1.0.1_src.orig/setup2/source/custom/tplsetup/tplsetup.cxx	Mon Sep 23 21:57:19 2002
+++ oo_1.0.1_src/setup2/source/custom/tplsetup/tplsetup.cxx	Mon Sep 23 21:58:57 2002
@@ -341,7 +341,6 @@
 		case 01: return LANGUAGE_ENGLISH_US;
 		case 02: return LANGUAGE_FRENCH_CANADIAN;
 		case 03: return LANGUAGE_PORTUGUESE;
-		case 04: return LANGUAGE_SLOVAK;
 		case 05: return LANGUAGE_FINNISH;
 		case 07: return LANGUAGE_RUSSIAN;
 		case 30: return LANGUAGE_GREEK;
@@ -351,6 +350,7 @@
 		case 36: return LANGUAGE_HUNGARIAN;
 		case 39: return LANGUAGE_ITALIAN;
 		case 42: return LANGUAGE_CZECH;
+		case 43: return LANGUAGE_SLOVAK;
 		case 44: return LANGUAGE_ENGLISH;
 		case 45: return LANGUAGE_DANISH;
 		case 46: return LANGUAGE_SWEDISH;
diff -urN oo_1.0.1_src.orig/solenv/inc/lang.mk oo_1.0.1_src/solenv/inc/lang.mk
--- oo_1.0.1_src.orig/solenv/inc/lang.mk	Mon Sep 23 21:57:20 2002
+++ oo_1.0.1_src/solenv/inc/lang.mk	Mon Sep 23 21:58:57 2002
@@ -80,7 +80,8 @@
 pol$(LANG_GUI)=-CHARSET_microsoft-cp1250
 slov$(LANG_GUI)=-CHARSET_microsoft-cp1250
 russ$(LANG_GUI)=-CHARSET_microsoft-cp1251
-cz$(LANG_GUI)=-CHARSET_microsoft-cp1250
+cz$(LANG_GUI)=-CHARSET_UTF8
+sk$(LANG_GUI)=-CHARSET_UTF8
 hung$(LANG_GUI)=-CHARSET_microsoft-cp1250
 japn$(LANG_GUI)=-CHARSET_UTF8
 chinsim$(LANG_GUI)=-CHARSET_UTF8
diff -urN oo_1.0.1_src.orig/solenv/inc/postset.mk oo_1.0.1_src/solenv/inc/postset.mk
--- oo_1.0.1_src.orig/solenv/inc/postset.mk	Mon Sep 23 21:57:21 2002
+++ oo_1.0.1_src/solenv/inc/postset.mk	Mon Sep 23 21:58:57 2002
@@ -230,6 +230,32 @@
 iso_48=pl
 .ENDIF 
 
+.IF "$(RES_CZECH)"!="" || "$(give_me_all_languages)"!=""
+alllangext+=42
+cz$(LANG_GUI)*=$(default$(LANG_GUI))
+cmd_cz:=cz 42 -lgCZECH $(UTF8) $(cz$(LANG_GUI))
+lang_42=cz
+longlang_42=czech
+langext_42=42
+rsclang_42=-lgCZECH $(UTF8)
+rescharset_42=$(cz$(LANG_GUI))
+RCLANGFLAGS_42+= -d CZECH
+iso_42=cs
+.ENDIF 
+
+.IF "$(RES_SLOVAK)"!="" || "$(give_me_all_languages)"!=""
+alllangext+=43
+sk$(LANG_GUI)*=$(default$(LANG_GUI))
+cmd_sk:=sk 43 -lgSLOVAK $(UTF8) $(sk$(LANG_GUI))
+lang_43=sk
+longlang_43=slovak
+langext_43=43
+rsclang_43=-lgSLOVAK $(UTF8)
+rescharset_43=$(sk$(LANG_GUI))
+RCLANGFLAGS_43+= -d SLOVAK
+iso_43=sk
+.ENDIF 
+
 .IF "$(RES_ARAB)"!="" || "$(give_me_all_languages)"!=""
 alllangext+=96
 arab$(LANG_GUI)*=$(default$(LANG_GUI))
diff -urN oo_1.0.1_src.orig/svtools/bmpmaker/bmpgui.cxx oo_1.0.1_src/svtools/bmpmaker/bmpgui.cxx
--- oo_1.0.1_src.orig/svtools/bmpmaker/bmpgui.cxx	Mon Sep 23 21:56:11 2002
+++ oo_1.0.1_src/svtools/bmpmaker/bmpgui.cxx	Mon Sep 23 21:58:57 2002
@@ -93,6 +93,8 @@
     { "ital", 39 },
     { "dtch", 31 },
     { "span", 34 },
+    { "cz", 42 },
+    { "sk", 43 },
     { "dan", 45 },
     { "swed", 46 },
     { "port", 03 },
diff -urN oo_1.0.1_src.orig/svtools/source/config/pathoptions.cxx oo_1.0.1_src/svtools/source/config/pathoptions.cxx
--- oo_1.0.1_src.orig/svtools/source/config/pathoptions.cxx	Mon Sep 23 21:56:13 2002
+++ oo_1.0.1_src/svtools/source/config/pathoptions.cxx	Mon Sep 23 21:58:57 2002
@@ -147,7 +147,7 @@
 
 // Strings to replace $(vlang)
 //#define	REPLACEMENT_ARABIC				ASCII_STR("arabic")
-//#define	REPLACEMENT_CZECH				ASCII_STR("czech")
+#define	REPLACEMENT_CZECH				ASCII_STR("czech")
 //#define	REPLACEMENT_DANISH				ASCII_STR("danish")
 //#define	REPLACEMENT_DUTCH				ASCII_STR("dutch")
 #define	REPLACEMENT_ENGLISH				ASCII_STR("english")
@@ -161,7 +161,7 @@
 #define	REPLACEMENT_KOREAN				ASCII_STR("korean")
 //#define	REPLACEMENT_POLISH				ASCII_STR("polish")
 //#define	REPLACEMENT_RUSSIAN				ASCII_STR("russian")
-//#define	REPLACEMENT_SLOVAK				ASCII_STR("slovak")
+#define	REPLACEMENT_SLOVAK				ASCII_STR("slovak")
 #define	REPLACEMENT_SPANISH				ASCII_STR("spanish")
 #define	REPLACEMENT_SWEDISH				ASCII_STR("swedish")
 //#define	REPLACEMENT_TURKISH				ASCII_STR("turkish")
@@ -591,10 +591,6 @@
 				case LANGUAGE_ARABIC_BAHRAIN		:
 				case LANGUAGE_ARABIC_QATAR			:	aReplacement = REPLACEMENT_ARABIC;
 														break ;
-
-				case LANGUAGE_CZECH					:	aReplacement = REPLACEMENT_CZECH;
-														break ;
-
 				case LANGUAGE_DANISH				:	aReplacement = REPLACEMENT_DANISH;
 														break ;
 
@@ -602,6 +598,8 @@
 				case LANGUAGE_DUTCH_BELGIAN			:	aReplacement = REPLACEMENT_DUTCH;
 														break ; */
 
+				case LANGUAGE_CZECH					:	aReplacement = REPLACEMENT_CZECH;
+														break ;
 				case LANGUAGE_ENGLISH				:
 				case LANGUAGE_ENGLISH_AUS			:
 				case LANGUAGE_ENGLISH_CAN			:
@@ -657,11 +655,11 @@
 														break ; 
 
 				case LANGUAGE_RUSSIAN				:	aReplacement = REPLACEMENT_RUSSIAN;
-														break ;
-
-				case LANGUAGE_SLOVAK				:	aReplacement = REPLACEMENT_SLOVAK;
 														break ; */
 
+
+				case LANGUAGE_SLOVAK				:	aReplacement = REPLACEMENT_SLOVAK;
+														break ;
 				case LANGUAGE_SPANISH				:
 				case LANGUAGE_SPANISH_MEXICAN		:
 				case LANGUAGE_SPANISH_MODERN		:
diff -urN oo_1.0.1_src.orig/sw/source/ui/app/app.src oo_1.0.1_src/sw/source/ui/app/app.src
--- oo_1.0.1_src.orig/sw/source/ui/app/app.src	Mon Sep 23 21:53:12 2002
+++ oo_1.0.1_src/sw/source/ui/app/app.src	Mon Sep 23 21:58:57 2002
@@ -349,6 +349,8 @@
 		File [ greek ] = "sc_out30.bmp" ;
 		File [ japanese ] = "sc_out81.bmp" ;
 		File [ portuguese ] = "sc_out03.bmp" ;
+		File [ czech ] = "sc_out42.bmp" ;
+		File [ slovak ] = "sc_out43.bmp" ;
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	IMAGELIST_AND_COUNT
@@ -371,6 +373,8 @@
 		File [ greek ] = "lc_out30.bmp" ;
 		File [ japanese ] = "lc_out81.bmp" ;
 		File [ portuguese ] = "lc_out03.bmp" ;
+		File [ czech ] = "lc_out42.bmp" ;
+		File [ slovak ] = "lc_out43.bmp" ;
 	};
 	MaskColor = IMAGE_STDBTN_COLOR ;
 	IMAGELIST_AND_COUNT
diff -urN oo_1.0.1_src.orig/sysui/oounix/office/cde/locales.tab oo_1.0.1_src/sysui/oounix/office/cde/locales.tab
--- oo_1.0.1_src.orig/sysui/oounix/office/cde/locales.tab	Mon Sep 23 21:55:04 2002
+++ oo_1.0.1_src/sysui/oounix/office/cde/locales.tab	Mon Sep 23 21:58:57 2002
@@ -8,6 +8,8 @@
 locales+=$(assign locale_35 = fi fi.UTF-8)
 locales+=$(assign locale_37 = ca)
 locales+=$(assign locale_39 = it it.UTF-8)
+locales+=$(assign locale_42 = cs cs.UTF-8)
+locales+=$(assign locale_43 = sk sk.UTF-8)
 locales+=$(assign locale_45 = da da.UTF-8)
 locales+=$(assign locale_46 = sv sv.UTF-8)
 locales+=$(assign locale_48 = pl pl.UTF-8)
diff -urN oo_1.0.1_src.orig/sysui/oounix/office/gnome/locales.tab oo_1.0.1_src/sysui/oounix/office/gnome/locales.tab
--- oo_1.0.1_src.orig/sysui/oounix/office/gnome/locales.tab	Mon Sep 23 21:55:04 2002
+++ oo_1.0.1_src/sysui/oounix/office/gnome/locales.tab	Mon Sep 23 21:58:57 2002
@@ -7,6 +7,8 @@
 34 = es
 37 = ca
 39 = it
+42 = cs
+43 = sk
 45 = da
 46 = sv
 48 = pl
diff -urN oo_1.0.1_src.orig/sysui/oounix/office/kde2/locales.tab oo_1.0.1_src/sysui/oounix/office/kde2/locales.tab
--- oo_1.0.1_src.orig/sysui/oounix/office/kde2/locales.tab	Mon Sep 23 21:55:04 2002
+++ oo_1.0.1_src/sysui/oounix/office/kde2/locales.tab	Mon Sep 23 21:58:57 2002
@@ -7,6 +7,8 @@
 34 = es.UTF-8
 37 = ca.UTF-8
 39 = it.UTF-8
+42 = cs.UTF-8
+43 = sk.UTF-8
 45 = da.UTF-8
 46 = sv.UTF-8
 48 = pl.UTF-8
diff -urN oo_1.0.1_src.orig/tools/source/generic/l2txtenc.cxx oo_1.0.1_src/tools/source/generic/l2txtenc.cxx
--- oo_1.0.1_src.orig/tools/source/generic/l2txtenc.cxx	Mon Sep 23 21:55:11 2002
+++ oo_1.0.1_src/tools/source/generic/l2txtenc.cxx	Mon Sep 23 21:58:57 2002
@@ -79,6 +79,8 @@
 		case 96 : return RTL_TEXTENCODING_MS_1256; break;
 		case 7	: return RTL_TEXTENCODING_MS_1251; break;
 
+		case 42 : return RTL_TEXTENCODING_UTF8; break;
+		case 43 : return RTL_TEXTENCODING_UTF8; break;
 		case 99 : return RTL_TEXTENCODING_UTF8; break;
 	}
 	return RTL_TEXTENCODING_MS_1252;
diff -urN oo_1.0.1_src.orig/tools/source/rc/resmgr.cxx oo_1.0.1_src/tools/source/rc/resmgr.cxx
--- oo_1.0.1_src.orig/tools/source/rc/resmgr.cxx	Mon Sep 23 21:55:07 2002
+++ oo_1.0.1_src/tools/source/rc/resmgr.cxx	Mon Sep 23 21:58:57 2002
@@ -1190,7 +1190,7 @@
             case LANGUAGE_RUSSIAN:
                 return "07";
             case LANGUAGE_SLOVAK:
-                return "04";
+                return "43";
             case LANGUAGE_GREEK:
                 return "30";
             case LANGUAGE_TURKISH:
@@ -1338,6 +1338,7 @@
         LANGUAGE_JAPANESE,
         LANGUAGE_HUNGARIAN,
         LANGUAGE_CZECH,
+        LANGUAGE_SLOVAK,
         LANGUAGE_RUSSIAN,
         LANGUAGE_ARABIC,
         LANGUAGE_GREEK,
diff -urN oo_1.0.1_src.orig/transex3/inc/export.hxx oo_1.0.1_src/transex3/inc/export.hxx
--- oo_1.0.1_src.orig/transex3/inc/export.hxx	Mon Sep 23 21:54:24 2002
+++ oo_1.0.1_src/transex3/inc/export.hxx	Mon Sep 23 21:58:57 2002
@@ -118,11 +118,11 @@
 
 #define CZECH					42
 #define CZECH_ISO				"cs"
-#define CZECH_INDEX					12
+#define CZECH_INDEX				12
 
-#define SLOVAK                  43
+#define SLOVAK					43
 #define SLOVAK_ISO				"sk"
-#define SLOVAK_INDEX			    13
+#define SLOVAK_INDEX				13
 
 #define ENGLISH					44
 #define ENGLISH_ISO				"x-translate"
@@ -205,7 +205,8 @@
 								( Export::LangId[ n ] == 48 ) || ( Export::LangId[ n ] == 49 ) || ( Export::LangId[ n ] == 55 ) || 	\
 								( Export::LangId[ n ] == 81 ) || ( Export::LangId[ n ] == 82 ) || ( Export::LangId[ n ] == 86 ) || 	\
 								( Export::LangId[ n ] == 88 ) || ( Export::LangId[ n ] == 90 ) || ( Export::LangId[ n ] == 96 ) || 	\
-								( Export::LangId[ n ] == 66 ) || ( Export::LangId[ n ] == 00 ) || ( Export::LangId[ n ] == 99 )))
+								( Export::LangId[ n ] == 66 ) || ( Export::LangId[ n ] == 00 ) || ( Export::LangId[ n ] == 99 ) ||	\
+								( Export::LangId[ n ] == 42 ) || ( Export::LangId[ n ] == 43 )))
 
 #define GERMAN_LIST_LINE_INDEX 	LANGUAGES
 #define LIST_REFID				(GERMAN_LIST_LINE_INDEX+1)
diff -urN oo_1.0.1_src.orig/transex3/source/export2.cxx oo_1.0.1_src/transex3/source/export2.cxx
--- oo_1.0.1_src.orig/transex3/source/export2.cxx	Mon Sep 23 21:54:24 2002
+++ oo_1.0.1_src/transex3/source/export2.cxx	Mon Sep 23 21:58:57 2002
@@ -175,8 +175,8 @@
 		case FINNISH: return RTL_TEXTENCODING_MS_1252;
 		case HUNGARIAN: return RTL_TEXTENCODING_MS_1250;
 		case ITALIAN: return RTL_TEXTENCODING_MS_1252;
-		case CZECH: return RTL_TEXTENCODING_MS_1250;
-		case SLOVAK: return RTL_TEXTENCODING_MS_1250;
+		case CZECH: return RTL_TEXTENCODING_UTF8;
+		case SLOVAK: return RTL_TEXTENCODING_UTF8;
 		case ENGLISH: return RTL_TEXTENCODING_MS_1252;
 		case DANISH: return RTL_TEXTENCODING_MS_1252;
 		case SWEDISH: return RTL_TEXTENCODING_MS_1252;
